package com.caimei365.user.mapper;

import com.caimei365.user.model.dto.ClubTemporaryDto;
import com.caimei365.user.model.vo.ClubTemporaryVo;
import com.caimei365.user.model.vo.ClubVo;
import com.caimei365.user.model.vo.UserLoginVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/24
 */
@Mapper
public interface SellerMapper {
    /**
     * 根据手机号获取协销
     *
     * @param mobile 手机号
     * @return UserLoginVo
     */
    UserLoginVo getLoginSellerByMobile(String mobile);

    /**
     * 更新协销
     *
     * @param userId
     * @param openId
     * @param unionId
     */
    void updateServiceProviderByUserId(Integer userId, String openId, String unionId);

    /**
     * 查询待注册机构数据
     *
     * @param userId
     * @param searchName
     * @return
     */
    List<ClubTemporaryVo> findClubTemporary(@Param("userId") Integer userId, @Param("searchName") String searchName);

    /**
     * 修改待注册机构数据
     *
     * @param temporaryDto
     */
    void updateClubTemporary(ClubTemporaryDto temporaryDto);

    /**
     * 删除待注册机构数据
     *
     * @param id
     */
    void deleteTemporaryClub(Integer id);

    List<ClubVo> findClubs(@Param("serviceProviderId") Integer serviceProviderId, @Param("status") Integer status, @Param("name") String name, Integer userIdentity);

    Integer findOrderNum(ClubVo club);
}
